<?php
/*
Plugin Name: Disable Matrix Self-Compare Easter Egg
Plugin URI: 
Description: A so-called easter-egg (i.e. a hidden functionality) displays a message stating "Self-comparison detected. Initiating infinite loop eschewal protocol. Self destruct in 3...2...1...Wake up. The Matrix has you. Follow the white rabbit. Don't let this happen again. Go back." whenever a user accidently tries to compare a post revision to itself. This may irritate non-techy users. This plugin replaces the irritating message with a no-fuss error message.
Author: Alois Maenner
Version: 1.1
Author URI:
License: GPL 2.0, @see http://www.gnu.org/licenses/gpl-2.0.html
*/
class nau_matrix_easter_egg {
	function disable_matrix_easter_egg() {
		load_plugin_textdomain('nau_matrix_easter_egg', false, dirname(plugin_basename(__FILE__)));
		$left = empty( $_GET['left'] ) ? '' : $_GET['left'];
		$right = empty( $_GET['right'] ) ? '' : $_GET['right'];

		if ($left == $right) {
		   wp_die(__('Error: You cannot compare a revision to itself.', 'nau_matrix_easter_egg').
					'<br /><a href="'.get_edit_post_link($left).'">'.
					__('Return to post', 'nau_matrix_easter_egg').'</a>');
		}
	}
	
	function __construct() {
		self::nau_matrix_easter_egg();
	}
	function nau_matrix_easter_egg() {
		add_action('admin_action_diff', array(__CLASS__, 'disable_matrix_easter_egg'));
	}
}

new nau_matrix_easter_egg;
